Subject: Re: bug#6246: 24.0.50; Circular dependencies in lib-src/Makefile.in

From: Jan Djärv <[email-masked]>
Date: Sat, 22 May 2010 14:05:09 +0200

2010-05-22 09:54, Eli Zaretskii skrev:
> Building Emacs outside of the source tree triggers the following
> warnings from Make:
>
>    make[2]: Circular /home/e/eliz/bzr/emacs/trunk/lib-src/rcs2log<- /home/e/eliz/bzr/emacs/trunk/lib-src/rcs2log dependency dropped.
>    make[2]: Circular /home/e/eliz/bzr/emacs/trunk/lib-src/vcdiff<- /home/e/eliz/bzr/emacs/trunk/lib-src/vcdiff dependency dropped.
>    make[2]: Circular /home/e/eliz/bzr/emacs/trunk/lib-src/rcs-checkin<- /home/e/eliz/bzr/emacs/trunk/lib-src/rcs-checkin dependency dropped.
>    make[2]: Circular /home/e/eliz/bzr/emacs/trunk/lib-src/grep-changelog<- /home/e/eliz/bzr/emacs/trunk/lib-src/grep-changelog dependency dropped.
>
> I think the problem is that we have both VPATH and an explicit
> dependency for these files in lib-src/Makefile.in.
>
>

I seen this but ignored it. These scripts doesn't seem to be very important, I 
never had any problems running an uninstalled emacs without them.  I don't use 
RCS, vcdiff seems to be used only for SCCS, and I didn't find any usage of 
grep-changelog.

I have checked in a fix.

	Jan D.